Δεν μπορώ να εγκαταστήσω το brave [Λύθηκε]

earinos | Σάβ, 08/17/2019 - 10:29 | 1' | 9

Γεια σας.
Μπήκα στην σελίδα του Brave
https://brave-browser.readthedocs.io/en/latest/installing-brave.html#li…
έκανα κόπυ πέιστ τις εντολές στο τερματικό αλλά δεν γίνεται εγκατάσταση.
Επιπλέον βλέπω τώρα ότι το τερματικό μου δεν λειτουργεί μετά από κάποιες αποτυχημένες προσπάθειες. Ξέρει κανείς να βοηθήσει?

Όποιος μπορεί να κάνει εγκατάσταση προγράμματος σε λίνουξ είναι σούπερ ήρωας!
Αλλά τι να κάνουμε που δεν έχουμε χρήματα για σύστημα καινούριο οπότε τραβάμε τα πάθη του Χριστού

Φόρουμ
Tags
Δώσε αστέρια!

MO: 4 (ψήφοι: 1)

Σχόλια

Οι εντολές που έπρεπε να δώσεις τερματικό ήταν έξι.

1) Κατεβάζεις δύο πακετάκια που απαιτούνται:

sudo apt install apt-transport-https curl

2) Κατεβάζεις και εγκαθιστάς το κλειδί του αποθετηρίου του brave:

curl -s https://brave-browser-apt-release.s3.brave.com/brave-core.asc | sudo apt-key --keyring /etc/apt/trusted.gpg.d/brave-browser-release.gpg add -

3) Διαβάζεις τις πληροφορίες για το σύστημα σου και τις αποθηκεύεις σε μεταβλητές (που θα χρησιμοποιήσεις στην 4η εντολή)

source /etc/os-release

4) Προσθέτεις το σωστό αποθετήριο του brave για το σύστημά σου

echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ $UBUNTU_CODENAME main" | sudo tee /etc/apt/sources.list.d/brave-browser-release-${UBUNTU_CODENAME}.list

5) Κάνεις ενημέρωση των αποθετηρίων (ωστε το apt να "δει" και το νέο αποθετήριο που έβαλες πριν)

sudo apt update

6) Τέλος εγκαθιστάς τον brave:

sudo apt install brave-browser

Σε ποια από αυτές κόλλησες;

Βρε, έχεις κάνεις λάθος στο copy/paste και στο λέει. Βασικά υπάρχουν δύο λάθη:

1. Έχεις -λέει- ένα αρχείο brave-browser-release-bionic.lis το οποίο έχει λάθος κατάληξη (lis αντί για list)

Διέγραψέ το:

sudo rm /etc/apt/sources.list.d/brave-browser-release-bionic.lis

2. Στο αρχείο /etc/apt/sources.list.d/brave-browser-release-.list προφανώς κάτι λείπει. Πιθανολογώ ότι έδωσες μια εντολή στα ξεκούδουνα οπότε η μεταβλητή UBUNTU_CODENAME δεν είχε τιμή (γι' αυτό και παραπονιέται ότι δεν είναι σωστά γραμμένο το αποθετήριο...)

Διέγραψέ το κι αυτό λοιπόν, μια και είναι άχρηστο:

sudo rm /etc/apt/sources.list.d/brave-browser-release-.list

 

Όταν κάνεις τα παραπάνω δύο βήματα, το apt θα λειτουργεί σωστά όπως και το Κέντρο Λογισμικού και ο Διαχειριστής Ενημερώσεων (που ουσιαστικά είναι παραθυρικές εφαρμογές που τρέχουν εντολές με το apt).

Για να βεβαιωθείς ότι δουλεύουν όλα, κάνε το εξής:

sudo apt update

Θα πρέπει να κάνει ενημέρωση των αποθετηρίων σωστά και πλέον θα πρέπει να λειτουργεί και το Κέντρο Λογισμικού και ο Διαχειριστής Ενημερώσεων.

Μετά, ΚΛΕΙΣΕ το τερματικό και άνοιξέ το ξανά

Έπειτα, ξεκίνα και κάνε τα έξι βήματα που σου έγραψα από την ΑΡΧΗ.

Κάνε τα με αυτή τη σειρά και κάνε σωστό copy/paste.

 

 

 

 

l
Όχι μόνο έκλεισα το τερματικό, έκανα και επανεκίνηση.

Άνοιξα το τερματικό έβαλα την εντολή που μου είπες, αυτή,

sudo apt install apt-transport-https curl

με κόπι πέιστ, τι λάθος να κάνω?

και μου έβγαλε αυτό

 

Φίλε, δεν σου είπα να δώσεις αυτήν την εντολή.

Σου είπα να δώσεις τις παρακάτω τρεις εντολές για να διαγράψεις αυτά που είχες κάνει κατά λάθος:

sudo rm /etc/apt/sources.list.d/brave-browser-release-bionic.lis
sudo rm /etc/apt/sources.list.d/brave-browser-release-.list
sudo apt update

ΑΦΟΥ δώσεις τις παραπάνω τρεις εντολές, ΤΟΤΕ κάνε τα έξι βήματα...